Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.plot
Class PlotRenderingInfo

    java.lang.Object
      org.jfree.chart.plot.PlotRenderingInfo

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class PlotRenderingInfo

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

Stores information about the dimensions of a plot and its subplots.

See Also:
  Serialized Form

Constructor Summary
`PlotRenderingInfo(ChartRenderingInfo owner)` Creates a new instance.

Method Summary
`void` | `addSubplotInfo(PlotRenderingInfo info)` Adds the info for a subplot.
`java.lang.Object` | `clone()` Returns a clone of this object.
`boolean` | `equals(java.lang.Object obj)` Tests this instance for equality against an arbitrary object.
`java.awt.geom.Rectangle2D` | `getDataArea()` Returns the plot's data area (in Java2D space).
`ChartRenderingInfo` | `getOwner()` Returns the owner (as specified in the constructor).
`java.awt.geom.Rectangle2D` | `getPlotArea()` Returns the plot area (in Java2D space).
`int` | `getSubplotCount()` Returns the number of subplots (possibly zero).
`int` | `getSubplotIndex(java.awt.geom.Point2D source)` Returns the index of the subplot that contains the specified (x, y) point (the "source" point).
`PlotRenderingInfo` | `getSubplotInfo(int index)` Returns the info for a subplot.
`void` | `setDataArea(java.awt.geom.Rectangle2D area)` Sets the data area.
`void` | `setPlotArea(java.awt.geom.Rectangle2D area)` Sets the plot area.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlotRenderingInfo

    public PlotRenderingInfo(ChartRenderingInfo owner)

  Creates a new instance.

  Parameters:
    `owner` - the owner (`null` permitted).

Method Detail

### getOwner

    public ChartRenderingInfo getOwner()

  Returns the owner (as specified in the constructor).

  Returns:
    The owner (possibly `null`).

### getPlotArea

    public java.awt.geom.Rectangle2D getPlotArea()

  Returns the plot area (in Java2D space).

  Returns:
    The plot area (possibly `null`).
  See Also:
    `setPlotArea(Rectangle2D)`

### setPlotArea

    public void setPlotArea(java.awt.geom.Rectangle2D area)

  Sets the plot area.

  Parameters:
    `area` - the plot area (in Java2D space, `null` permitted but discouraged)
  See Also:
    `getPlotArea()`

### getDataArea

    public java.awt.geom.Rectangle2D getDataArea()

  Returns the plot's data area (in Java2D space).

  Returns:
    The data area (possibly `null`).
  See Also:
    `setDataArea(Rectangle2D)`

### setDataArea

    public void setDataArea(java.awt.geom.Rectangle2D area)

  Sets the data area.

  Parameters:
    `area` - the data area (in Java2D space, `null` permitted but discouraged).
  See Also:
    `getDataArea()`

### getSubplotCount

    public int getSubplotCount()

  Returns the number of subplots (possibly zero).

  Returns:
    The subplot count.

### addSubplotInfo

    public void addSubplotInfo(PlotRenderingInfo info)

  Adds the info for a subplot.

  Parameters:
    `info` - the subplot info.
  See Also:
    `getSubplotInfo(int)`

### getSubplotInfo

    public PlotRenderingInfo getSubplotInfo(int index)

  Returns the info for a subplot.

  Parameters:
    `index` - the subplot index.
  Returns:
    The info.
  See Also:
    `addSubplotInfo(PlotRenderingInfo)`

### getSubplotIndex

    public int getSubplotIndex(java.awt.geom.Point2D source)

  Returns the index of the subplot that contains the specified (x, y) point (the "source" point). The source point will usually come from a mouse click on a `ChartPanel`, and this method is then used to determine the subplot that contains the source point.

  Parameters:
    `source` - the source point (in Java2D space, `null` not permitted).
  Returns:
    The subplot index (or -1 if no subplot contains `source`).

### equals

    public boolean equals(java.lang.Object obj)

  Tests this instance for equality against an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of this object.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if there is a problem cloning.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.